Package com.avaya.clientservices.media

## Enum AcousticProfileMode

- java.lang.Object
- - java.lang.Enum<AcousticProfileMode>
  - - com.avaya.clientservices.media.AcousticProfileMode

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<AcousticProfileMode>`

      public enum AcousticProfileMode
      extends java.lang.Enum<AcousticProfileMode>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `BLUETOOTH_HEADSET` |
    `HANDSET` |
    `NONE` |
    `SPEAKER` |
    `WIRED_HEADSET` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static AcousticProfileMode` | `fromInt​(int v)` |
    `int` | `intValue()` |
    `static AcousticProfileMode` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static AcousticProfileMode[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final AcousticProfileMode NONE

    - #### BLUETOOTH_HEADSET

          public static final AcousticProfileMode BLUETOOTH_HEADSET

    - #### WIRED_HEADSET

          public static final AcousticProfileMode WIRED_HEADSET

    - #### HANDSET

          public static final AcousticProfileMode HANDSET

    - #### SPEAKER

          public static final AcousticProfileMode SPEAKER

  - ### Method Detail

    - #### values

          public static AcousticProfileMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AcousticProfileMode c : AcousticProfileMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AcousticProfileMode valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### fromInt

          public static AcousticProfileMode fromInt​(int v)

    - #### intValue

          public int intValue()